cURL
curl --request POST \
--url https://om-staging.mylifeforce.com/api/m2m/patient \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"birthdate": "1983-06-04",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>"
}
}
'import requests
url = "https://om-staging.mylifeforce.com/api/m2m/patient"
payload = {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"birthdate": "1983-06-04",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
first_name: '<string>',
last_name: '<string>',
birthdate: '1983-06-04',
address: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
zipcode: '<string>'
}
})
};
fetch('https://om-staging.mylifeforce.com/api/m2m/patient', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"patient_id": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Patient
Create a Patient
Create a patient
POST
/
patient
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Patient created successfully
Patient identifier
⌘I